# Vaporwave art



## Table of contents

* [General Info](#General-info)
* [Technologies used](#technologies)
* [Features](#features)
* [Screenshots](#screenshots)
* [Setup](#setup-and-usage)
* [Project Status](#project-status-and-next-steps)
* [Acknowledgements](#acknowledgements)

## General info

This project is an image of a vaporwave scene of a moving sunset and moving terrain. This art was initially supposed to be accompanied by music and become a music visualiser, however due to personal time restrictions, I was unable to do so. The final product shows what I had planned for the music visualiser to look like, where the sun would move along with the tempo of the music, and the terrain would move and change along with the beat. 

## Technologies

This project was created using 
- Processing 3.5.4

## Features

- Visualisation of a sunset and moving terrain
- Vaporwave inspired 
- Feeling like you are flying over the terrain

## Screenshots
![gif](https://i.imgur.com/YyXWhwK.gif)

## Setup and Usage
To setup this project, you would need a version of Processing 3.5.4 or higher. All you would need to do is copy and paste the code from GitHub onto Processing and run it to view the artwork. 

## Project Status and Next Steps
This project is incomplete/in progress, and although it is not bugged, it does not currently work the way it is intended to. I need to figure out why the animation for the sunset does not work in the context of this project when the sunset animation works well on its own. I also need to figure out why the beginning of the terrain is frozen while the rest moves the way it was intended. The next steps for this project are:
- Reworking the code
- Fix the animation for the elements within the code
- Implement music into the code to turn it into a music visualiser

## Acknowledgements
This project was inspired by two tutorials. 
- Processing tutorial by thedotisblack [https://www.youtube.com/watch?v=TOm5wKmn9yw&t=13s]
- Processing tutorial by The Coding Train [https://www.youtube.com/watch?v=IKB1hWWedMk&t=8s]

